# Get Connector For Infra

Get Connector For Infra

Endpoint: GET /gateway/chaos/manager/api/rest/v2/infrastructure/{identity}/connector
Version: 1.0
Security: x-api-key

## Path parameters:

  - `identity` (string, required)
    Chaos V2 Infra Identity

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `environmentIdentifier` (string, required)
    environment id that want to access the resource

## Response 200 fields (application/json):

  - `connectorRef` (string)

  - `correlationID` (string)

  - `environmentRef` (string)

  - `identifier` (string)

  - `isCompatible` (boolean)

  - `isUsed` (boolean)

  - `name` (string)

  - `namespace` (string)

  - `orgIdentifier` (string)

  - `projectIdentifier` (string)

  - `serviceAccount` (string)

  - `type` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


